CxfMessageReceiver (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.cxf.CxfMessageReceiver class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.cxf
Class CxfMessageReceiver

    java.lang.Object
      org.mule.transport.AbstractConnectable
          org.mule.transport.AbstractMessageReceiver
              org.mule.transport.cxf.CxfMessageReceiver

All Implemented Interfaces:
  ExceptionListener, Disposable, Initialisable, Startable, Stoppable, Connectable, MessageReceiver

    public class CxfMessageReceiver

extends AbstractMessageReceiver

Create a CXF service. All messages for the service will be sent to the Mule bus a la the MuleInvoker.

Field Summary
`protected CxfConnector` | `connector`

Fields inherited from class org.mule.transport.AbstractMessageReceiver
`receiverKey, responseEndpoint, service`

Fields inherited from class org.mule.transport.AbstractConnectable
`connected, disposed, endpoint, logger, retryTemplate, started, startOnConnect`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Constructor Summary
`CxfMessageReceiver(Connector connector, Service service, InboundEndpoint Endpoint)`

Method Summary
`void` | `addIgnoredMethods(org.apache.cxf.service.factory.ReflectionServiceFactoryBean svcFac, String className)`
`void` | `doConnect()`
`void` | `doDisconnect()`
`protected void` | `doInitialise()`
`org.apache.cxf.endpoint.Server` | `getServer()`
`protected void` | `initializeServerFactory(org.apache.cxf.frontend.ServerFactoryBean sfb)` If any custom initialization logic needs to be done, it can be done by overriding this method.
`boolean` | `isApplyFiltersToProtocol()`
`boolean` | `isApplySecurityToProtocol()`
`boolean` | `isApplyTransformersToProtocol()`
`boolean` | `isProxy()`

Methods inherited from class org.mule.transport.AbstractMessageReceiver
`dispose, getConnectEventId, getConnectionDescription, getEndpoint, getEndpointURI, getListener, getReceiverKey, getService, getWorkManager, handleUnacceptedFilter, initialise, routeMessage, routeMessage, routeMessage, routeMessage, routeMessage, routeMessage, setEndpoint, setExceptionDetails, setListener, setReceiverKey, setService, toString`

Methods inherited from class org.mule.transport.AbstractConnectable
`activate, connect, disconnect, disposeAndLogException, doDispose, doStart, doStop, exceptionThrown, getConnectEventId, getConnector, handleException, isConnected, isDoThreading, isStarted, passivate, setEndpoint, start, stop, validate, validateConnection`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.mule.api.transport.Connectable
`connect, disconnect, isConnected, validateConnection`

Methods inherited from interface org.mule.api.lifecycle.Startable
`start`

Methods inherited from interface org.mule.api.lifecycle.Stoppable
`stop`

Field Detail

### connector

    protected CxfConnector connector

Constructor Detail

### CxfMessageReceiver

    public CxfMessageReceiver(Connector connector,
                              Service service,
                              InboundEndpoint Endpoint)
                       throws CreateException

Throws:
  `CreateException`

Method Detail

### doInitialise

    protected void doInitialise()
                         throws InitialisationException

  Overrides:
    `doInitialise` in class `AbstractConnectable`
  Throws:
    `InitialisationException`

### initializeServerFactory

    protected void initializeServerFactory(org.apache.cxf.frontend.ServerFactoryBean sfb)

  If any custom initialization logic needs to be done, it can be done by overriding this method.

  Parameters:
    `sfb` -

### addIgnoredMethods

    public void addIgnoredMethods(org.apache.cxf.service.factory.ReflectionServiceFactoryBean svcFac,
                                  String className)

### doConnect

    public void doConnect()
                   throws Exception

  Overrides:
    `doConnect` in class `AbstractConnectable`
  Throws:
    `Exception`

### doDisconnect

    public void doDisconnect()
                      throws Exception

  Overrides:
    `doDisconnect` in class `AbstractConnectable`
  Throws:
    `Exception`

### getServer

    public org.apache.cxf.endpoint.Server getServer()

### isProxy

    public boolean isProxy()

### isApplySecurityToProtocol

    public boolean isApplySecurityToProtocol()

### isApplyTransformersToProtocol

    public boolean isApplyTransformersToProtocol()

### isApplyFiltersToProtocol

    public boolean isApplyFiltersToProtocol()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.